ChangeSet 1.1474.98.21, 2004/01/19 12:49:57-08:00, khali@linux-fr.org

[PATCH] I2C: Fix i2c-core.c with DEBUG

At the moment, i2c-core.c fails compiling with DEBUG. Following patch
should fix that.


 drivers/i2c/i2c-core.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/i2c/i2c-core.c b/drivers/i2c/i2c-core.c
--- a/drivers/i2c/i2c-core.c	Mon Jan 19 15:29:13 2004
+++ b/drivers/i2c/i2c-core.c	Mon Jan 19 15:29:13 2004
@@ -373,7 +373,7 @@
 	}
 
 	DEB(dev_dbg(&adapter->dev, "client [%s] registered to adapter\n",
-			client->dev.name));
+			client->name));
 
 	if (client->flags & I2C_CLIENT_ALLOW_USE)
 		client->usage_count = 0;
